Bug 21097 - CVE-2009-2411: subversion heap overflow
: CVE-2009-2411: subversion heap overflow
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/subversion)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
: http://subversion.tigris.org/security...
: security
:
:
  Show dependency tree
 
Reported: 2009-08-17 17:46 by
Modified: 2009-08-20 14:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-08-17 17:46:08
Subversion performs insufficient input validation of svndiff streams.
Malicious servers could cause heap overflows in clients, and malicious
clients with commit access could cause heap overflows in servers,
possibly leading to arbitrary code execution in both cases.

Upstream released new version to fix the problem.
------- Comment #1 From 2009-08-19 04:25:48 -------
subversion-1.6.4-alt1 -> sisyphus:

* Tue Aug 18 2009 Dmitry V. Levin <ldv@altlinux> 1.6.4-alt1

- Updated to 1.6.4 (CVE-2009-2411; closes: #21097).
------- Comment #2 From 2009-08-20 14:24:23 -------
спасибо, меня резко в командировку выгнали, только до почты добрался.